2019-11-14  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2019-11-14).

2019-11-12  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3756: Support secp256k1 in the default set of curves
	* fsg.sh.in: Update patch name.
	* patches/pr3756.patch:
	Renamed from pr3667.patch. Retain secp256k1 curve
	when reducing supported curve set.

2019-11-11  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Fix bad bug ID for Japanese Reiwa localisation change.
	* NEWS: Updated.

2019-11-10  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u232-ga-aarch32-191016.
	* patches/hotspot/aarch32/8038392-rh1064383.patch,
	* patches/hotspot/aarch32/8141570-pr3548.patch,
	* patches/hotspot/aarch32/8187667-pr3517-readdir_r.patch,
	* patches/hotspot/aarch32/8196978-pr3517-gcc_4_pragmas.patch,
	* patches/hotspot/aarch32/8223511.patch:
	Remove patches now included upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove above patches.
	* NEWS: Updated.
	* hotspot.map.in: Bump aarch32 to jdk8u232-ga-aarch32-191016.
	* patches/hotspot/aarch32/6424123-pr3696.patch,
	* patches/hotspot/aarch32/8143245-pr3548.patch,
	* patches/hotspot/aarch32/pr1368.patch:
	Replace with symlinks to Shenandoah versions now
	both are again based on the same upstream 8u version.

2019-11-08  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.14.0.
	* patches/rh1022017.patch:
	Removed as included upstream as 8228825 / CVE-2019-2894.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-3.14.0 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Drop RH1022017 patch.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set BUILD_VERSION to b09
	and MILESTONE to fcs for final release.
	* configure.ac: Bump to 3.14.0.
	* hotspot.map.in: Update to icedtea-3.14.0 tag.

2019-10-23  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u232-b09.
	* patches/hotspot/shenandoah/8038392-rh1064383.patch,
	* patches/hotspot/shenandoah/8141570-pr3548.patch:
	Removed as applied upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Move above patches to AArch32-only
	section.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u232-b09.
	* patches/hotspot/aarch32/8038392-rh1064383.patch,
	* patches/hotspot/aarch32/8141570-pr3548.patch:
	Replace symlinks with copies of the Shenandoah versions, so the
	Shenandoah ones can be removed.
	* patches/hotspot/aarch32/8143245-pr3548.patch:
	Replace symlink with a copy of the Shenandoah version, so the
	Shenandoah one can be updated for 8u232-b09.
	* patches/hotspot/shenandoah/8143245-pr3548.patch:
	Adjust patch to apply against upstream version of 8141570.

2019-10-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3748: dev-java/icedtea-3.12.0 fails to build with
	mksh as the default shell
	* AUTHORS: Add Kerin Millar.

2019-05-15  Kerin Millar  <kfm@plushkava.net>

	PR3748: dev-java/icedtea-3.12.0 fails to build with
	mksh as the default shell
	* acinclude.m4:
	(IT_VENDOR_OPTS): Use a switch statement rather than
	the =~ bashism.

2019-09-05  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.14.0pre01.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-3.14.0pre01 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JDK_UPDATE_VERSION to
	232, BUILD_VERSION to b01 and MILESTONE to ea.
	* configure.ac: Bump to 3.14.0pre01.
	* hotspot.map.in: Update to icedtea-3.14.0pre01 tag.

2019-08-20  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u232-b01
	* patches/hotspot/shenandoah/8187667-pr3517-readdir_r.patch,
	* patches/hotspot/shenandoah/8196978-pr3517-gcc_4_pragmas.patch:
	Removed as readdir_r issue was fixed upstream in 8u232-b01.
	* Makefile.am:
	(ICEDTEA_PATCHES): Move above readdir_r patches to AArch32-only
	section.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u232-b01.
	* patches/hotspot/aarch32/6424123-pr3696.patch:
	Replace symlink with a copy of the Shenandoah version, so the
	Shenandoah one can be updated for 8u232-b01.
	* patches/hotspot/aarch32/8187667-pr3517-readdir_r.patch,
	* patches/hotspot/aarch32/8196978-pr3517-gcc_4_pragmas.patch:
	Replace symlinks with copies as these patches have been removed
	for Shenandoah.
	* patches/hotspot/aarch32/pr1368.patch:
	Replace symlink with a copy of the Shenandoah version, so the
	Shenandoah one can be updated for 8u232-b01.
	* patches/hotspot/shenandoah/6424123-pr3696.patch:
	Fix context in vm_version_ppc.cpp altered by
	"8185979: PPC64: Implement SHA2 intrinsic"
	* patches/hotspot/shenandoah/8158260-pr2991-rh1341258.patch:
	Alter placement of new flag in vm_version_ppc.cpp so it
	is no longer affected by 8185979.
	* patches/hotspot/shenandoah/pr1368.patch:
	Fix context in jsig.make files for each platform as
	"8210761: libjsig is being compiled without optimization"
	changed them.

2019-05-09  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Start 3.14.0 release cycle.
	* NEWS: Add 3.14.0 section.
	* configure.ac: Bump to 3.14.0pre00.

2019-07-18  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2019-07-18).

2019-07-18  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u222-b08-aarch32-190710.
	* patches/hotspot/aarch32/8064786-pr3601.patch:
	Removed, now that AArch32 is also using 8u222.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove 8064786/PR3601 from
	AArch32 section and add 8223511.
	* NEWS: Updated.
	* hotspot.map.in: Bump aarch32 to
	jdk8u222-b08-aarch32-190710.
	* patches/hotspot/aarch32/6424123-pr3696.patch,
	* patches/hotspot/aarch32/8141570-pr3548.patch,
	* patches/hotspot/aarch32/8143245-pr3548.patch:
	Change back to using symlinks to Shenandoah
	versions now both are based on 8u222.
	* patches/hotspot/aarch32/8223511.patch:
	Backport of HotSpot security fix from 8u222-b09
	which is not yet in the AArch32 repo.

2019-07-18  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	S8210425, PR3745: [AArch64]
	sharedRuntimeTrig/sharedRuntimeTrans compiled
	without optimization
	* NEWS: Updated.
	* hotspot.map.in: Bump HotSpot revision to
	include AArch64 version of 8210425.

2019-07-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u222-b10.
	* patches/hotspot/shenandoah/8064786-pr3601.patch:
	Drop patch applied silently in 8176100.
	* Makefile.am:
	(ICEDTEA_PATCHES): Move 8064786/PR3601 to
	AArch32 only.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u222-b10.
	* patches/hotspot/aarch32/6424123-pr3696.patch:
	Restore unaltered version from before integration
	of b01, so AArch32 builds again.
	* patches/hotspot/aarch32/8064786-pr3601.patch:
	Replace symlink with copy as Shenandoah version
	has been removed.
	* patches/hotspot/aarch32/8141570-pr3548.patch,
	* patches/hotspot/aarch32/8143245-pr3548.patch:
	Replace symlinks with copies as Shenandoah versions
	have been modified.
	* patches/hotspot/shenandoah/8141570-pr3548.patch,
	* patches/hotspot/shenandoah/8143245-pr3548.patch:
	Regenerate, due to context being changed by 8210425.

2019-07-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.13.0.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-3.13.0 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set BUILD_VERSION to b10
	and MILESTONE to fcs.
	* configure.ac: Bump to 3.13.0.
	* hotspot.map.in: Update to icedtea-3.13.0 tag.

2019-07-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3743: Support EA builds
	* Makefile.am:
	(ICEDTEA_CONFIGURE): Use @MAKEFILE@ rather
	than hardcoded value.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Define MILESTONE.

2019-05-25  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.13.0pre01.
	* patches/pr3724.patch: Removed as now included
	upstream.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-3.13.0pre01 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Drop pr3724.patch.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Update JDK_UPDATE_VERSION to 222.
	and set BUILD_VERSION to b01.
	* configure.ac: Bump to 3.13.0pre01.
	* hotspot.map.in: Update to icedtea-3.13.0pre01 tag.

2019-05-24  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u222-b01.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u222-b01.
	* patches/hotspot/shenandoah/6424123-pr3696.patch:
	Regenerated due to changes in vm_version_ppc.cpp in 8154156.
	* patches/hotspot/shenandoah/8158260-pr2991-rh1341258.patch:
	Remove unneeded copyright header change following 8154156.

2019-05-23  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u212-b04-shenandoah-merge-2019-04-30.
	* patches/hotspot/shenandoah/pr3634.patch:
	Drop s390 fix now included upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Drop PR3634.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u212-b04-shenandoah-merge-2019-04-30.
	* patches/hotspot/shenandoah/8222286-pr3727-s390-shenandoah.patch:
	Update patch to act on new file shenandoahNumberSeq.cpp where
	Shenandoah-only functions have been moved to. Use log2_long instead
	of log2_intptr with a cast.

2019-05-09  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Start 3.13.0 release cycle.
	* NEWS: Add 3.13.0 section.
	* configure.ac: Bump to 3.13.0pre00.

2019-05-01  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2019-05-01).

2019-05-01  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u212-b04-aarch32-190430.
	* INSTALL: Switch AArch32 URL back to the upstream
	OpenJDK project.
	* hotspot.map.in: Bump aarch32 to
	jdk8u212-b04-aarch32-190430.

2019-04-30  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3736: Use https URLs where possible.
	* AUTHORS,
	* ChangeLog,
	* INSTALL,
	* Makefile.am,
	* NEWS,
	* README,
	* acinclude.m4,
	* contrib/templater/README,
	* contrib/templater/hotspot/src/os_cpu/linux_CPU/vm/os_linux_CPU.cpp,
	* fsg.sh.in,
	* hotspot.map.in,
	* scripts/create_tarballs.sh,
	* scripts/gen_changeset_and_sha256sums.sh,
	* scripts/update_tarballs.sh:
	Replace http:// URLs with https:// equivalents where
	possible.

2019-04-30  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* INSTALL:
	Set AArch32 HotSpot URL to temporary location
	on IcedTea where the latest update is located.
	* NEWS: Set release date to today (2019-04-30).

2019-04-29  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u212-b04-aarch32-190429.
	* patches/hotspot/aarch32/8145096-pr2854.patch,
	* patches/hotspot/aarch32/8184309-pr3596.patch,
	* patches/hotspot/aarch32/8197429-pr3546-rh1536622.patch,
	* patches/hotspot/aarch32/8214059-pr3693.patch,
	* patches/hotspot/aarch32/8217753-pr3685.patch,
	* patches/hotspot/aarch32/crash_dump_bug_url.patch:
	Remove patches now upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove AArch32-only patches which
	are now included in the updated tarball. Move 8222286
	so it applies to both builds, now they both have
	8213419.
	* hotspot.map.in: Bump aarch32 to
	jdk8u212-b04-aarch32-190429.
	* patches/hotspot/aarch32/8222286-pr3727-s390.patch:
	Symlink to Shenandoah verison.
	* patches/hotspot/aarch32/pr1942.patch,
	* patches/hotspot/aarch32/pr2777.patch:
	Switch back to symlinks now they can share a version with
	Shenandoah again.

2019-04-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3734: Make use of branding options
	* INSTALL: Updated with new options.
	* Makefile.am:
	(ICEDTEA_CONFIGURE): Set --with-vendor-name,
	--with-vendor-url, --with-vendor-bug-url and
	--with-vendor-vm-bug-url in OpenJDK build using
	our values.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ARG_WITH): Convienence macro for --with-x
	options.
	(IT_VENDOR_OPTS): Provide --with-vendor-name,
	--with-vendor-url, --with-vendor-bug-url and
	--with-vendor-vm-bug-url.
	* configure.ac:
	Invoke IT_VENDOR_OPTS.

2019-04-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	S8213419, PR3724: [AArch64] C2 may hang in
	MulLNode::Ideal()/MulINode::Ideal() with gcc 8.2.1
	* Makefile.am:
	(ICEDTEA_PATCHES): Apply additional PR3724 patch
	when building the default HotSpot. Move Shenandoah-only
	patches into the ALT_HSBUILD block.
	* NEWS: Updated.
	* patches/pr3724.patch:
	AArch64 segment of 8213419, also fixed upstream
	after the 3.12.0 tag.

2019-04-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u212-b04.
	* patches/hotspot/shenandoah/8145096-pr2854.patch,
	* patches/hotspot/shenandoah/8184309-pr3596.patch,
	* patches/hotspot/shenandoah/8197429-pr3546-rh1536622.patch,
	* patches/hotspot/shenandoah/8214059-pr3693.patch,
	* patches/hotspot/shenandoah/8217753-pr3685.patch:
	Remove patches now upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Move upstreamed Shenandoah patches to
	AArch32-only section. Add PR3728 fix for both HotSpot builds
	and 8222286 for Shenandoah (which now has 8213419).
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u212-b04.
	* patches/hotspot/aarch32/8145096-pr2854.patch,
	* patches/hotspot/aarch32/8184309-pr3596.patch,
	* patches/hotspot/aarch32/8197429-pr3546-rh1536622.patch,
	* patches/hotspot/aarch32/8214059-pr3693.patch,
	* patches/hotspot/aarch32/8217753-pr3685.patch:
	Replace symlinks with copies as Shenandoah versions removed
	for 8u212.
	* patches/hotspot/aarch32/crash_dump_bug_url.patch:
	Separate the bug URL update into a separate patch, as
	Shenandoah now has 8189761 and should set this via configure.
	* patches/hotspot/aarch32/pr1942.patch,
	* patches/hotspot/aarch32/pr2777.patch,
	Replace symlinks with copies as Shenandoah versions altered for
	8u212.
	* patches/hotspot/aarch32/pr3728.patch:
	Symlink to Shenandoah version.
	* patches/hotspot/shenandoah/8222286-pr3727-s390-shenandoah.patch,
	* patches/hotspot/shenandoah/8222286-pr3727-s390.patch:
	New patches to fix an issue with 8222286 on S390.
	* patches/hotspot/shenandoah/crash_dump.patch:
	Bug URL section separated to avoid conflict with changes from
	8189761.
	* patches/hotspot/shenandoah/pr1869.patch:
	Altered to apply after 8197429.
	* patches/hotspot/shenandoah/pr1942.patch,
	* patches/hotspot/shenandoah/pr2777.patch:
	Altered to apply after changes in 8u212.
	* patches/hotspot/shenandoah/pr3728.patch:
	Extension of Spectre v4 fix to recognise
	PR_SPEC_DISABLE_NOEXEC.

2019-04-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.12.0.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-3.12.0 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Update JDK_UPDATE_VERSION to 212.
	(BUILD_VERSION): Set to b04.
	* configure.ac: Bump to 3.12.0.
	* hotspot.map.in: Update to icedtea-3.12.0 tag.

2019-04-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3723: Use shortened Java version first in
	Name field of desktop files
	* NEWS: Updated.
	* jconsole.desktop.in:
	Use @JAVA_VER@ in first part of Name field,
	with the longer @OPENJDK_VER@ appearing at the end.
	* policytool.desktop.in: Likewise.

2019-04-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3722: Use SDK bin directory in jconsole.desktop.in
	* Makefile.am:
	(jconsole-@JAVA_VER@.desktop): Replace _SDKBINDIR_
	with the SDK bin directory ($(bindir)).
	* NEWS: Updated.
	* jconsole.desktop.in: Use _SDKBINDIR_ instead of
	_BINDIR_.

2019-04-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3719: Use JRE bin directory in policytool.desktop.in
	* Makefile.am:
	(policytool-@JAVA_VER@.desktop): Replace _JREBINDIR_
	with the JRE bin directory ($(prefix)/jre/bin).
	* NEWS: Updated.
	* policytool.desktop.in: Use _JREBINDIR_ instead of
	_BINDIR_.

2019-04-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3718: Change policytool.desktop.in category
	Development to Settings
	* NEWS: Updated.
	* policytool.desktop.in: Change category.

2019-04-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u202-b08-aarch32-190124.
	* patches/hotspot/aarch32/8131048-pr3574-rh1498936.patch,
	* patches/hotspot/aarch32/8164920-pr3574-rh1498936.patch,
	* patches/hotspot/aarch32/8172850-pr3643-rh1640127.patch,
	* patches/hotspot/aarch32/8209639-pr3643-rh1640127.patch,
	* patches/hotspot/aarch32/pr3559.patch:
	Remove patches now upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove AArch32-only patches which
	are now included in the updated tarball.
	* NEWS: Updated.
	* hotspot.map.in: Bump aarch32 to
	jdk8u202-b08-aarch32-190124.
	* patches/hotspot/aarch32/8076475-pr3696.patch:
	Switch back to a symlink now it can share a version with
	Shenandoah again.

2019-04-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u202-b08.
	* patches/hotspot/shenandoah/8131048-pr3574-rh1498936.patch,
	* patches/hotspot/shenandoah/8164920-pr3574-rh1498936.patch,
	* patches/hotspot/shenandoah/8172850-pr3643-rh1640127.patch,
	* patches/hotspot/shenandoah/8209639-pr3643-rh1640127.patch,
	* patches/hotspot/shenandoah/pr3559.patch:
	Removed as applied upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Move upstreamed Shenandoah patches to
	AArch32-only section.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u202-b08.
	* patches/hotspot/aarch32/8076475-pr3696.patch,
	* patches/hotspot/aarch32/8131048-pr3574-rh1498936.patch,
	* patches/hotspot/aarch32/8164920-pr3574-rh1498936.patch,
	* patches/hotspot/aarch32/8172850-pr3643-rh1640127.patch,
	* patches/hotspot/aarch32/8209639-pr3643-rh1640127.patch,
	* patches/hotspot/aarch32/pr3559.patch:
	Replace symlinks with copies as Shenandoah versions removed
	or altered for 8u202.
	* patches/hotspot/shenandoah/8076475-pr3696.patch:
	Adjust to apply against aarch64-shenandoah-jdk8u202-b08.

2019-04-15  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.12.0pre01.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-3.12.0pre01 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Update JDK_UPDATE_VERSION to 202.
	* configure.ac: Bump to 3.12.0pre01.
	* hotspot.map.in: Update to icedtea-3.12.0pre01 tag.

2019-03-12  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Start 3.12.0 release cycle.
	* NEWS: Add 3.12.0 section and correct
	date on 3.11.0 release.
	* configure.ac: Bump to 3.12.0pre00.

2019-03-01  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Set release date to today (2019-03-01).

2019-02-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump default HotSpot build to include latest
	AArch64 fixes.
	* NEWS: Updated.
	* hotspot.map.in: Bump default HotSpot.

2019-02-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u201-b09-aarch32-190124.
	* patches/hotspot/aarch32/8141491-pr3159-g592292.patch:
	Remove patches now upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove AArch32-only patches which
	are now included in the updated tarball.
	* hotspot.map.in: Bump aarch32 to
	jdk8u201-b09-aarch32-190124.

2019-02-25  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u201-b12.
	* patches/hotspot/shenandoah/8141491-pr3159-g592292.patch:
	Removed as applied upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Move upstreamed Shenandoah patches to
	AArch32-only section.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u201-b12.
	* patches/hotspot/aarch32/8141491-pr3159-g592292.patch:
	Replace symlink with a copy as Shenandoah version removed.

2019-02-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.11.0.
	* Makefile.am,
	(CORBA_CHANGESET): Update to icedtea-3.11.0 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Add new HotSpot patches for AArch32
	and Shenandoah builds.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Update JDK_UPDATE_VERSION to 201
	and set BUILD_VERSION to b08.
	* configure.ac: Bump to 3.11.0.
	* hotspot.map.in: Update to icedtea-3.11.0 tag.
	* patches/hotspot/aarch32/6424123-pr3696.patch,
	* patches/hotspot/aarch32/8059847-pr3696.patch,
	* patches/hotspot/aarch32/8076475-pr3696.patch,
	* patches/hotspot/aarch32/8214059-pr3693.patch,
	* patches/hotspot/aarch32/8217753-pr3685.patch,
	Symlinked to Shenandoah versions.
	* patches/hotspot/shenandoah/6424123-pr3696.patch,
	* patches/hotspot/shenandoah/8059847-pr3696.patch,
	* patches/hotspot/shenandoah/8076475-pr3696.patch,
	* patches/hotspot/shenandoah/8214059-pr3693.patch,
	* patches/hotspot/shenandoah/8217753-pr3685.patch:
	Add Shenandoah patches for latest HotSpot updates.

2019-02-10  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3341: jstack.stp should support ppc64[le,be]
	* NEWS: Updated.

2019-01-28  Mark Wielaard  <mjw@redhat.com>

	PR3341: jstack.stp should support ppc64[le,be]
	* tapset/jstack.stp.in: Add ppc64 support.

2019-02-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u192-b12-aarch32-181022.
	* patches/hotspot/aarch32/8008321-pr3599.patch,
	* patches/hotspot/aarch32/8165489-pr3589.patch,
	* patches/hotspot/aarch32/8185723-pr3553.patch,
	* patches/hotspot/aarch32/8186461-pr3557.patch,
	* patches/hotspot/aarch32/8201509-pr3579.patch,
	* patches/hotspot/aarch32/8206406-pr3610-rh1597825.patch,
	* patches/hotspot/aarch32/pr3539-rh1548475.patch:
	Remove patches now upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove AArch32-only patches which
	are now included in the updated tarball.
	* NEWS: Updated.
	* hotspot.map.in: Bump aarch32 to
	jdk8u192-b12-aarch32-181022.
	* patches/hotspot/aarch32/8141491-pr3159-g592292.patch,
	* patches/hotspot/aarch32/8143245-pr3548.patch,
	* patches/hotspot/aarch32/8158260-pr2991-rh1341258.patch,
	* patches/hotspot/aarch32/8197429-pr3546-rh1536622.patch,
	* patches/hotspot/aarch32/pr1368.patch,
	* patches/hotspot/aarch32/pr3593.patch,
	* patches/hotspot/aarch32/pr3607.patch,
	* patches/hotspot/aarch32/werror.patch:
	Replace pre-8u192 versions with symlinks to Shenandoah
	versions.

2019-02-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3691: wget not detected by configure
	* NEWS: Updated.
	* configure.ac:
	Move IT_CHECK_IF_BOOTSTRAPPING and
	IT_CHECK_IF_DOWNLOADING closer to the
	beginning, prior to tool detection.

2019-01-30  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u192-b13.
	* patches/hotspot/shenandoah/8008321-pr3599.patch,
	* patches/hotspot/shenandoah/8185723-pr3553.patch,
	* patches/hotspot/shenandoah/8186461-pr3557.patch,
	* patches/hotspot/shenandoah/8201509-pr3579.patch,
	* patches/hotspot/shenandoah/8206406-pr3610-rh1597825.patch,
	* patches/hotspot/shenandoah/pr3539-rh1548475.patch:
	Remove patches now upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Move upstreamed Shenandoah patches to
	AArch32-only section.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u192-b13.
	* patches/hotspot/aarch32/8008321-pr3599.patch:
	Replace symlink with a copy as Shenandoah version removed.
	* patches/hotspot/aarch32/8141491-pr3159-g592292.patch,
	* patches/hotspot/aarch32/8143245-pr3548.patch,
	* patches/hotspot/aarch32/8158260-pr2991-rh1341258.patch:
	Replace symlinks with copies of pre-8u192 versions.
	* patches/hotspot/aarch32/8185723-pr3553.patch,
	* patches/hotspot/aarch32/8186461-pr3557.patch:
	Replace symlink with a copy as Shenandoah version removed.
	* patches/hotspot/aarch32/8197429-pr3546-rh1536622.patch:
	Replace symlink with copy of pre-8u192 version.
	* patches/hotspot/aarch32/8201509-pr3579.patch,
	* patches/hotspot/aarch32/8206406-pr3610-rh1597825.patch,
	* patches/hotspot/aarch32/pr3539-rh1548475.patch:
	Replace symlink with a copy as Shenandoah version removed.
	* patches/hotspot/aarch32/pr3593.patch,
	* patches/hotspot/aarch32/pr3607.patch,
	* patches/hotspot/aarch32/werror.patch,
	Replace symlinks with copies of pre-8u192 versions.
	* patches/hotspot/shenandoah/8141491-pr3159-g592292.patch,
	* patches/hotspot/shenandoah/8143245-pr3548.patch,
	* patches/hotspot/shenandoah/8158260-pr2991-rh1341258.patch,
	* patches/hotspot/shenandoah/8197429-pr3546-rh1536622.patch,
	* patches/hotspot/shenandoah/pr1368.patch,
	* patches/hotspot/shenandoah/pr3559.patch,
	* patches/hotspot/shenandoah/pr3593.patch,
	* patches/hotspot/shenandoah/pr3607.patch,
	* patches/hotspot/shenandoah/werror.patch:
	Adjusted to apply against aarch64-shenandoah-jdk8u192-b13.

2019-01-23  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.11.0pre02.
	* Makefile.am,
	(CORBA_CHANGESET): Update to icedtea-3.11.0pre02 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	(ICEDTEA_CONFIGURE): Add --with-native-debug-symbols,
	set to internal when building with native
	debuginfo and none otherwise.
	(ICEDTEA_ENV): Remove obsolete setting of POST_STRIP_CMD,
	DEBUG_BINARIES and STRIP_POLICY.
	* NEWS: Updated.
	* acinclude.m4,
	(IT_DETERMINE_VERSION): Update JDK_UPDATE_VERSION to 192.
	* configure.ac: Bump to 3.11.0pre02.
	* hotspot.map.in: Update to icedtea-3.11.0pre02 tag.

2019-01-08  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3667: Use the internal copy of the SunEC library
	rather than statically linking against NSS
	* patches/disable-intree-ec.patch: Removed.
	* patches/nss-config.patch: Removed.
	* patches/nss-not-enabled-config.patch: Removed.
	* patches/nss-not-enabled-config-with-sunec.patch:
	Renamed to patches/pkcs11-nss-not-enabled-config.patch.
	* patches/nss-config-with-sunec.patch:
	Renamed to patches/pkcs11-nss-config.patch.
	* INSTALL:
	Remove --enable-sunec option. Update documentation
	to match current situation with SunEC.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove disable-intree-ec.patch.
	Remove PKCS11 config patches without the SunEC provider.
	Rename remaining two to make it clear they are for
	the PKCS11 provider.
	(ICEDTEA_CONFIGURE_ENV): Remove NSS_LIBS and NSS_CFLAGS.
	(ecccheck): Remove ENABLE_SUNEC conditionals.
	(clean-ecccheck): Likewise.
	(check-ecc): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_SUNEC): Removed.
	* configure.ac: Replace IT_ENABLE_SUNEC call with
	IT_LOCATE_NSS.
	* fsg.sh.in: Remove unused source code and use
	new PR3667 patch instead of old PR2126 patch which
	only alters Java code.
	* patches/pr3667.patch: Renamed from patches/pr2126.patch
	and extended to patch native code.
	* remove-intree-libraries.sh.in: Drop conditional removal
	of SunEC code.

2019-01-08  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.11.0pre01.
	* Makefile.am,
	(CORBA_CHANGESET): Update to icedtea-3.11.0pre01 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	(ICEDTEA_CONFIGURE): Remove use of system-nss
	option which no longer exists, following PR3667.
	* NEWS: Updated.
	* configure.ac: Bump to 3.11.0pre01.
	* fsg.sh.in: Don't delete in-tree SunEC implementation
	or builds with it enabled will now fail, following PR3667.
	* hotspot.map.in: Update to icedtea-3.11.0pre01 tag.

2019-01-02  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3675: Update CVE URL
	* NEWS: Update CVE URL.

2019-01-02  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Start 3.11.0 release cycle.
	* NEWS: Add 3.11.0 section.
	* configure.ac: Bump to 3.11.0pre00.

2018-12-25  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Set release date to today (2018-12-25).

2018-11-23  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3653: Detect whether -Xprefer:source
	and -J-Xmx<limit> can be used, rather than assuming
	* Makefile.am:
	(PREFER_SOURCE): Define if
	COMPILER_SUPPORTS_XPREFERSOURCE is set
	by configure.
	(MEMORY_LIMIT): Define if
	COMPILER_SUPPORTS_MAX_HEAP_SIZE is set
	by configure.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DIAMOND_CHECK): Use 'the Java compiler'
	rather than 'javac' to avoid confusion with
	the OpenJDK command.
	(IT_JAVAC_OPTIONS_CHECK): Check whether the
	selected Java compiler supports -Xprefer:source
	and -J-Xmx.
	* configure.ac: Invoke IT_JAVAC_OPTIONS_CHECK.

2018-12-24  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3673: Alternate HotSpot builds need fix for PR3094
	* Makefile.am:
	(ICEDTEA_PATCHES): Add 8078504/PR3094 fix.
	* NEWS: Updated.
	* patches/hotspot/aarch32/8078504-pr3094.patch:
	Symlink to Shenandoah version.
	* patches/hotspot/shenandoah/8078504-pr3094.patch:
	Add fix for JDK-8078504/PR3094.

2018-12-23  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u191-b12-aarch32-181022.
	* patches/hotspot/aarch32/8146115-pr3508-rh1463098.patch:
	Removed, as now no longer needed on AArch32 either.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove 8146115 patch.
	* hotspot.map.in: Bump aarch32 to
	jdk8u191-b12-aarch32-181022.
	* patches/hotspot/aarch32/8207057-pr3613.patch:
	Reinstate symlink now aarch32 and shenandoah are
	both based on u191.

2018-12-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u191-b13.
	* patches/hotspot/shenandoah/8146115-pr3508-rh1463098.patch:
	Removed as applied upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Move 8146115 patch to AArch32-only.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to aarch64-shenandoah-jdk8u191-b13.
	* patches/hotspot/aarch32/8146115-pr3508-rh1463098.patch:
	Symlink replaced with the actual patch as Shenandoah version
	no longer required.
	* patches/hotspot/aarch32/8207057-pr3613.patch: Likewise,
	as Shenandoah version has been altered.
	* patches/hotspot/shenandoah/8207057-pr3613.patch:
	Update to apply in context of 8033251 in updated Shenandoah bundle.

2018-12-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.10.0.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-3.10.0 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4,
	(IT_DETERMINE_VERSION): Update JDK_UPDATE_VERSION
	to 191 and BUILD_VERSION to b12.
	* configure.ac: Bump to 3.10.0.
	* hotspot.map.in: Update to icedtea-3.10.0 tag.

2018-11-20  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3625: arc_priority representation creates an
	implicit limit on character sequence within regexp
	* NEWS: Updated.

2018-09-12  Severin Gehwolf  <sgehwolf@redhat.com>

	PR3625: arc_priority representation creates an
	implicit limit on character sequence within regexp
	* tapset/jstack.stp.in: Workaround limit on regexp
	length with SystemTap >= 3.2.

2018-11-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3634: Update Shenandoah fix following upstream
	discussion
	* patches/hotspot/shenandoah/pr3634.patch:
	Cast ShenandoahMinRegionSize/ShenandoahMaxRegionSize
	as necessary rather than changing their type as
	OpenJDK 8 doesn't have support for size_t arguments.

2018-11-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.10.0pre01.
	* Makefile.am,
	(CORBA_CHANGESET): Update to icedtea-3.10.0pre01 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
